How to install M9K weapons to a DarkRP server?

Hey guys, I’m a bit new here, and me and my friend have been ripping our hair out trying to figure out how to get m9k up and working on our server. Can one of you possibly help?

Try googling first.

I have tried everything and it will NOT work. I have no idea what to do about these errors. We are stumped.





[ERROR] gamemodes/darkrp/entities/weapons/m9k_m16a4_acog/shared.lua:4: attempt to index a nil value
1. unknown - gamemodes/darkrp/entities/weapons/m9k_m16a4_acog/shared.lua:4


[ERROR] gamemodes/darkrp/entities/weapons/m9k_m416/shared.lua:4: attempt to index a nil value
1. unknown - gamemodes/darkrp/entities/weapons/m9k_m416/shared.lua:4


[ERROR] gamemodes/darkrp/entities/weapons/m9k_m4a1/shared.lua:4: attempt to index a nil value
1. unknown - gamemodes/darkrp/entities/weapons/m9k_m4a1/shared.lua:4


[ERROR] gamemodes/darkrp/entities/weapons/m9k_scar/shared.lua:4: attempt to index a nil value
1. unknown - gamemodes/darkrp/entities/weapons/m9k_scar/shared.lua:4


[ERROR] gamemodes/darkrp/entities/weapons/m9k_tar21/shared.lua:4: attempt to index a nil value
1. unknown - gamemodes/darkrp/entities/weapons/m9k_tar21/shared.lua:4


[ERROR] gamemodes/darkrp/entities/weapons/m9k_val/shared.lua:4: attempt to index a nil value
1. unknown - gamemodes/darkrp/entities/weapons/m9k_val/shared.lua:4


What’s on line 4 of all of them?


	if (GetConVar("DebugM9K"):GetBool()) then	print("Blacklist Convar for "..SWEP.Gun.." is missing! You may have hit the lua limit, or incorrectly modified the autorun file!")	end

Add “–” to the start of those lines. In each file

Is the autorun file in the correct place? If so, you have probably hit the lua limit, which is why DebugM9K doesn’t even exist.

Okay, I’ll be back in a minute with results.

[editline]7th July 2014[/editline]

Where is the autorun file supposed to be?

[editline]7th July 2014[/editline]


M9KDefaultClip is missing! You may have hit the lua limit!


I receive this now. How would I fix the error with the lua limit?

Don’t use M9K/cut back on your addons; M9K uses a ridiculous amount of files.

Any reccomendations?

Edit: Gonna try FA:S 2.0